Article View: gnu.emacs.vm.bug
Article #6Re: sort by date sent (several hacks sought)
From: Jerry G. DeLapp
Date: Fri, 10 Apr 1992 02:12
Date: Fri, 10 Apr 1992 02:12
47 lines
2433 bytes
2433 bytes
Yes, I'm following up to my own posting. I obtained some information today
that causes me to revise the request for hacks that I made...
>>>>> On Thu, 9 Apr 1992 00:17:18 GMT, jgd@acl.lanl.gov (Jerry G. DeLapp) said:
Jerry> In vm-5.32...
Some stuff deleted
Jerry> 2)
Jerry> Every once in a while some stupid mailer gives 4 digit year values (e.g.
Jerry> 1992 instead of 92). I know that isn't RFC822, but it'd sure be nice to have a
Jerry> hack that understood 4 digit years and caused them to sort "correctly" with
Jerry> respect to the 2 digit variety.
The following is an excerpt of a mail I received today...
per the RFC1123 update to RFC822:
5.2.14 RFC-822 Date and Time Specification: RFC-822 Section 5
The syntax for the date is hereby changed to:
date = 1*2DIGIT month 2*4DIGIT
All mail software SHOULD use 4-digit years in dates, to ease
the transition to the next century.
end of excerpt
I take back the "stupid" remark. I guess anything that gives pure RFC822 dates
now qualifies as stupid ;-).
Given the above new information, I guess I'd modify this request to be
"Could the final release of vm-5.32 (or at least the next release) sorting by
date sent please handle both RFC832 and RFC1123 style dates and not trigger
reordering when the dates are equivalent."
For example, 1992 and 92 are equivalent years and comparing them should not
trigger reordering if the month and year are equivalent... (note, In my
opinion a day value of 8 compared with 08 shouldn't trigger a reordering
either.. it does now. But, that was request 1 of the original post).
--
Jerry G. DeLapp -- ACL System Scientist -- (505) 665-4531 <jgd@lanl.gov>
Computing beyond the Bleeding Edge -- The Advanced Computing Laboratory
Technical Details
Message-ID:
<JGD.92Apr9191219@kodiak.acl.lanl.gov>Path:
arc1-ca.pugleaf.net!sparky!uunet!spool.mu.edu!agate!dog.ee.lbl.gov!hellgate.utah.edu!lanl!newshost.lanl.gov!jgdReferences:
<JGD.92Apr8171718@kodiak.acl.lanl.gov>Show Full Headers
Complete Article Headers
Path: arc1-ca.pugleaf.net!sparky!uunet!spool.mu.edu!agate!dog.ee.lbl.gov!hellgate.utah.edu!lanl!newshost.lanl.gov!jgd From: jgd@acl.lanl.gov (Jerry G. DeLapp) Newsgroups: gnu.emacs.vm.bug Subject: Re: sort by date sent (several hacks sought) Message-ID: <JGD.92Apr9191219@kodiak.acl.lanl.gov> Date: 10 Apr 92 02:12:19 GMT Article-I.D.: kodiak.JGD.92Apr9191219 References: <JGD.92Apr8171718@kodiak.acl.lanl.gov> Sender: news@newshost.lanl.gov Reply-To: jgd@acl.lanl.gov Distribution: gnu Organization: Advanced Computing Lab, LANL, NM Lines: 47 In-Reply-To: jgd@acl.lanl.gov's message of Thu, 9 Apr 1992 00:17:18 GMT